Graticules grid inconsistent behavior in print composer

2018-02-03 09:25 AM - Klas Karlsson

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25932

Description

A graticule grid has several standard options:

Decimal

Decimal with suffix

Degree, Minute

Degree, Minute with suffix

Degree, Minute aligned

Degree, Minute, Second

Degree, Minute, Second with suffix

Degree, Minute, Second aligned

All options with "suffix" should print with added "E/W/S/N", while options without "suffix" should not!

All options should have decimals, that you can limit with the "Coordinate precision" option.

Associated revisions

Revision e44c3606 - 2018-02-05 04:06 AM - Nyall Dawson

[layouts] Fix map grids not correctly respecting grid annotation

settings

Fixes #18036

History

#1 - 2018-02-03 09:28 AM - Klas Karlsson

In addition to above:

The "aligned" option does not handle padded zeros as it should.

#2 - 2018-02-03 11:40 PM - Nyall Dawson

- Status changed from Open to Feedback

Is this a regression? Or a feature request to change existing behavior?

#3 - 2018-02-04 08:56 AM - Klas Karlsson
Compared to 2.18 this is a regression.

For example, the only option where "coordinate precision" (number of decimals) do anything when you change it, is the decimal options.

One other example is that it is only with the decimal option I can print values without suffix (E/W/S/N).

To me the decimal options are the only ones (except custom) that behaves as expected.

#4 - 2018-02-04 10:53 AM - Nyall Dawson

Which qt version are you using?

#5 - 2018-02-04 07:54 PM - Klas Karlsson

This is compiled with Qt 5.9.1

QGIS revision: 213d4b7

#6 - 2018-02-05 04:06 AM - Nyall Dawson

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|e44c3606e588c0e21f90e335b450a503342e3450.

#7 - 2018-02-21 09:19 PM - Giovanni Manghi

- Resolution set to fixed/implemented
